Bug 1571212 - odcs: odcs requires both Python 2 and Python 3 [NEEDINFO]
Summary: odcs: odcs requires both Python 2 and Python 3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: odcs
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Kaluža
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PYTHON3-PYTHON2
TreeView+ depends on / blocked
 
Reported: 2018-04-24 10:19 UTC by Iryna Shcherbina
Modified: 2019-02-26 03:05 UTC (History)
4 users (show)

Fixed In Version: odcs-0.2.23-2.fc28 odcs-0.2.23-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-26 01:29:37 UTC
mhroncok: needinfo? (jkaluza)


Attachments (Terms of Use)

Description Iryna Shcherbina 2018-04-24 10:19:59 UTC
The odcs RPM requires both Python 2 and Python 3:

$ dnf repoquery --repo=rawhide --requires odcs | grep python
/usr/bin/python3
python(abi) = 2.7

Except in very special circumstances, there is no need for one package
to drag in both Python stacks. Usually, this is a packaging error: for
example, a stray "/usr/bin/python" shebang in a Python 3 package can
introduce a Python 2 dependency.

Please split your package, or remove the stray dependencies.
There is a section on shebangs in the Python RPM Porting Guide [0]
which covers this issue.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 28 as well.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!


[0] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#are-shebangs-dragging-you-down-to-python-2

Comment 1 Jan Kurik 2018-08-14 10:05:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Miro Hrončok 2019-01-17 10:36:52 UTC
Is this package maintained?

Comment 3 Fedora Update System 2019-02-15 11:55:52 UTC
odcs-0.2.23-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-188896ed2c

Comment 4 Fedora Update System 2019-02-15 11:55:57 UTC
odcs-0.2.23-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9b855f2356

Comment 5 Fedora Update System 2019-02-16 01:17:18 UTC
odcs-0.2.23-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-188896ed2c

Comment 6 Fedora Update System 2019-02-16 03:05:10 UTC
odcs-0.2.23-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9b855f2356

Comment 7 Fedora Update System 2019-02-16 16:56:32 UTC
odcs-0.2.23-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8696a5a625

Comment 8 Fedora Update System 2019-02-16 16:56:40 UTC
odcs-0.2.23-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2d45992f4b

Comment 9 Fedora Update System 2019-02-17 01:56:16 UTC
odcs-0.2.23-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2d45992f4b

Comment 10 Fedora Update System 2019-02-17 03:11:17 UTC
odcs-0.2.23-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8696a5a625

Comment 11 Fedora Update System 2019-02-26 01:29:37 UTC
odcs-0.2.23-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-02-26 03:05:06 UTC
odcs-0.2.23-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.